Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | List of all members
LatBuilder::Traversal::Policy< SEQ, Random< RAND > > Class Template Reference

Traversal policy specialization for Random traversal. More...

`#include <Traversal.h>`

Inherits LatBuilder::Traversal::Random< RAND >.

## Public Types
typedef IndexedIterator::Random< SEQ, RAND > | const_iterator
| Immutable iterator type.
Public Types inherited from LatBuilder::Traversal::Random< RAND >
typedef size_t | size_type
| Size type.
typedef RAND | RandomGenerator
| Type of the pseudo-random number generator.

## Public Member Functions
| Policy (Random< RAND > trav)
| Constructor.
const_iterator | begin () const
| Returns an iterator pointing to the first element in `seq`.
const_iterator | end () const
| Returns an iterator pointing past the last element in `seq`.
void | randomize ()
| Randomizes the traversal. More...
Public Member Functions inherited from LatBuilder::Traversal::Random< RAND >
| Random (size_type size=std::numeric_limits< size_type >::max(), RandomGenerator rand=RandomGenerator())
| Constructor. More...
size_t | size () const
| Returns the traversal size.
void | resize (size_type size)
| Changes the traversal size to `size`.
const RandomGenerator & | randomGenerator () const
| Returns the random generator.
RandomGenerator & | randomGenerator ()
| Returns the random generator.

## Additional Inherited Members
Static Public Member Functions inherited from LatBuilder::Traversal::Random< RAND >
static std::string | name ()
Protected Attributes inherited from LatBuilder::Traversal::Random< RAND >
RandomGenerator | m_rand
size_type | m_size

## Detailed Description

### template<typename SEQ, typename RAND>
class LatBuilder::Traversal::Policy< SEQ, Random< RAND > >

Traversal policy specialization for Random traversal.

## Member Function Documentation

template<typename SEQ , typename RAND >

void LatBuilder::Traversal::Policy< SEQ, Random< RAND > >::randomize | ( |  | ) |
| inline

Randomizes the traversal.

Iterators created after calling this function will visit the sequence elements in a new random order.

Remarks
  The random generator must implement `jump()` for this to work.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Traversal.h